Get Domain Release View Validation

Get Domain Release View Validation
Retrieve a domain target state validation by it's Validation ID

Monitor the progress of domain target state validation task by it's Validation ID.

Request
URI
GET
https://{api_host}/v1/releases/domains/validations/{validationId}
COPY
Path Parameters
string
validationId
Required  

Domain Target State Validation ID


Responses
200

Ok

Returns Validation of type(s) application/json
{
    "id": "string",
    "description": "string",
    "executionStatus": "COMPLETED",
    "resultStatus": "SUCCEEDED",
    "validationChecks": [
        {
            "description": "string",
            "severity": "One among: WARNING, ERROR, INFO",
            "resultStatus": "One among: IN_PROGRESS, SUCCEEDED, FAILED, SKIPPED, CANCELLED, CANCELLATION_IN_PROGRESS, PENDING",
            "acknowledge": false,
            "errorResponse": {
                "errorCode": "string",
                "errorType": "string",
                "arguments": [
                    "string"
                ],
                "context": {
                    "context": "string"
                },
                "notifications": [
                    {
                        "severity": "string",
                        "message": "string",
                        "remediations": [
                            {
                                "message": "string",
                                "link": "string"
                            }
                        ],
                        "impactMessage": "string"
                    }
                ],
                "message": "string",
                "remediationMessage": "string",
                "causes": [
                    {
                        "type": "string",
                        "message": "string"
                    }
                ],
                "nestedErrors": [
                    {
                        "errorCode": "string",
                        "errorType": "string",
                        "arguments": [
                            "string"
                        ],
                        "context": {
                            "context": "string"
                        },
                        "notifications": [
                            {
                                "severity": "string",
                                "message": "string",
                                "remediations": [
                                    {
                                        "message": "string",
                                        "link": "string"
                                    }
                                ],
                                "impactMessage": "string"
                            }
                        ],
                        "message": "string",
                        "remediationMessage": "string",
                        "causes": [
                            {
                                "type": "string",
                                "message": "string"
                            }
                        ],
                        "nestedErrors": [
                            {
                                "errorCode": "string",
                                "errorType": "string",
                                "arguments": [
                                    "string"
                                ],
                                "context": {
                                    "context": "string"
                                },
                                "notifications": [
                                    {
                                        "severity": "string",
                                        "message": "string",
                                        "remediations": [
                                            {
                                                "message": "string",
                                                "link": "string"
                                            }
                                        ],
                                        "impactMessage": "string"
                                    }
                                ],
                                "message": "string",
                                "remediationMessage": "string",
                                "causes": [
                                    {
                                        "type": "string",
                                        "message": "string"
                                    }
                                ],
                                "nestedErrors": [
                                    "Error Object"
                                ],
                                "referenceToken": "string",
                                "label": "string",
                                "remediationUrl": "string"
                            }
                        ],
                        "referenceToken": "string",
                        "label": "string",
                        "remediationUrl": "string"
                    }
                ],
                "referenceToken": "string",
                "label": "string",
                "remediationUrl": "string"
            },
            "nestedValidationChecks": [
                {
                    "description": "string",
                    "severity": "One among: WARNING, ERROR, INFO",
                    "resultStatus": "One among: IN_PROGRESS, SUCCEEDED, FAILED, SKIPPED, CANCELLED, CANCELLATION_IN_PROGRESS, PENDING",
                    "acknowledge": false,
                    "errorResponse": {
                        "errorCode": "string",
                        "errorType": "string",
                        "arguments": [
                            "string"
                        ],
                        "context": {
                            "context": "string"
                        },
                        "notifications": [
                            {
                                "severity": "string",
                                "message": "string",
                                "remediations": [
                                    {
                                        "message": "string",
                                        "link": "string"
                                    }
                                ],
                                "impactMessage": "string"
                            }
                        ],
                        "message": "string",
                        "remediationMessage": "string",
                        "causes": [
                            {
                                "type": "string",
                                "message": "string"
                            }
                        ],
                        "nestedErrors": [
                            "Error Object"
                        ],
                        "referenceToken": "string",
                        "label": "string",
                        "remediationUrl": "string"
                    },
                    "nestedValidationChecks": [
                        "ValidationCheck Object"
                    ]
                }
            ]
        }
    ],
    "additionalProperties": {
        "additionalProperties": "string"
    }
}
string
id
Required   Read-Only  

ID of the validation

string
description
Required   Read-Only  
Constraints: minLength: 1

Description of the validation

string
executionStatus
Required   Read-Only  

Execution status of the validation. One among: IN_PROGRESS, FAILED, COMPLETED, UNKNOWN, SKIPPED, CANCELLED, CANCELLATION_IN_PROGRESS

string
resultStatus
Required   Read-Only  

Result status of the validation after it has completed its execution. One among: SUCCEEDED, FAILED, WARNING, UNKNOWN, CANCELLATION_IN_PROGRESS

array of object
validationChecks
Read-Only  

List of one or more validation checks that are performed as part of the validation

object
additionalProperties
Optional

additionalProperties


404

Not Found

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


500

Internal Server Error

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/releases/domains/validations/{validationId}